[general]
* **HTML report viewer - printing & export feature:** A print button was added to the toolbar of the HTML report viewer. Also, it is now possible to configure the export properties in the new export dialog.
* **Statistics Module:** With the new statistics module in the remote interface, you can get a quick insight into statistical data from the report server, e.g. the server state, executed and cached reports, logged in users, server log etc.
* **Plugins:** We have introduced the concept of plugins in order to reduce the number of JAR files, making the installation more compact and simple. For further information please see the Migration and Server Programming Guides. Also, the API contains the new interface ServerPlugin and the new class ServerPluginManager.
* **Scheduler - Custom Actions & Dynamic Properties:** If you are using a custom scheduler action and/or dynamic properties, you will need to write a plugin for this action and/or dynamic property class. For more information please refer to the samples in the i-net Clear Reports installation directory.
* **Error Notifications:** It is now possible to have the server send an email in case of an error. The recipient(s) can be specified in the configuration. The prerequisite is that the email settings are correct specified.
* **Email settings:** New category "Email settings" added to the configuration. They were moved from the category Scheduler. 
* **Support Email Address:** It is now possible to display a link with a support email address in the error dialog of HTML and Java report viewer. You can configure it in the configuration manager category "Email settings". The default value is "clearreports@inetsoftware.de".
* **Custom Log Levels:** You can now set custom log levels for the individual components of i-net Clear Reports. Configuring these log levels can be done in the configuration manager category "Logging".
* **Datasource in configuration properties:** The configuration manager no longer allows importing old data source definitions from i-net Crystal-Clear version 6 and older. If you use configuration files with these old data source definition files then you can first convert it with an i-net Clear Reports server, version 7 to 13, and then export it as an XML file which can be imported in version 14. 
* **HTTPS:** The standalone server now supports HTTPS connections. In the configuration manager category "Web Server" you can select HTTPS and set the port, certificate and key. For test purposes of HTTPS connections, a self-signed certificate can be generated before purchasing one from a provider.
* **Formula Debugger:** There is now a powerful and versatile formula debugger built into the Designer. It can be found in Formula Editor, under the tab "Debug". You can set breakpoints and step through a formula step by step to pinpoint errors or logic in complex formulas.
* **New Debug Data (Core) Files:** The creation of debug data (Core) files produces only one file per executed report now. You can then simply rerun this core file in i-net Designer or report server with the snapshot data.
* **RequestHandler:** The com.inet.report.RequestHandler interface was removed. It is replaced by the plugin architecture.
* **Method names for .NET:** In the .NET edition method names now have been changed back to Java's lower-case convention rather than the C#-style capitalized names.
* **Database Authentication:** The login type "Database Authentication" was added. With this login type a database server will be used for authentication.

[general:de]
* **HTML-Berichtsbetrachter - Druck- und Exportfunktion:** Der Symbolleiste des HTML-Berichtsbetrachters wurde eine Schaltfläche zum Drucken hinzugefügt. Außerdem ist es jetzt möglich, die Exporteigenschaften im neuen Exportdialog zu konfigurieren.
* **Statistikmodul:** Mit dem neuen Statistikmodul in der Remote-Schnittstelle können Sie einen schnellen Einblick in die statistischen Daten des Berichtsservers erhalten, z.B. den Serverstatus, ausgeführte und zwischengespeicherte Berichte, angemeldete Benutzer, Serverprotokoll usw.
* **Plugins:** Wir haben das Konzept der Plugins eingeführt, um die Anzahl der JAR-Dateien zu reduzieren und die Installation kompakter und einfacher zu gestalten. Weitere Informationen finden Sie in den Anleitungen zur Migration und zur Serverprogrammierung. Außerdem enthält die API die neue Schnittstelle ServerPlugin und die neue Klasse ServerPluginManager.
* **Scheduler - Benutzerdefinierte Aktionen & dynamische Eigenschaften:** Wenn Sie eine benutzerdefinierte Scheduler-Aktion und/oder dynamische Eigenschaften verwenden, müssen Sie ein Plugin für diese Aktion und/oder dynamische Eigenschaftsklasse schreiben. Weitere Informationen finden Sie in den Beispielen im Installationsverzeichnis von i-net Clear Reports.
* **Fehlerbenachrichtigungen:** Es ist jetzt möglich, dass der Server im Falle eines Fehlers eine E-Mail sendet. Der/die Empfänger können in der Konfiguration angegeben werden. Voraussetzung ist, dass die E-Mail-Einstellungen korrekt angegeben sind.
* **E-Mail-Einstellungen:** Neue Kategorie "E-Mail-Einstellungen" in der Konfiguration hinzugefügt. Sie wurden aus der Kategorie Scheduler verschoben.
* **Support-E-Mail-Adresse:** Es ist nun möglich, einen Link mit einer Support-E-Mail-Adresse im Fehlerdialog des HTML- und Java-Reportviewers anzuzeigen. Sie können dies in der Konfigurationsmanager-Kategorie "E-Mail-Einstellungen" konfigurieren. Der Standardwert ist "clearreports@inetsoftware.de".
* **Benutzerdefinierte Protokollstufen:** Sie können jetzt benutzerdefinierte Protokollstufen für die einzelnen Komponenten von i-net Clear Reports festlegen. Die Konfiguration dieser Log-Stufen kann in der Konfigurationsmanager-Kategorie "Logging" vorgenommen werden.
* **Datenquelle in Konfigurationseigenschaften:** Der Konfigurationsmanager erlaubt nicht mehr den Import alter Datenquellendefinitionen aus i-net Crystal-Clear Version 6 und älter. Wenn Sie Konfigurationsdateien mit diesen alten Datenquellen-Definitionsdateien verwenden, können Sie diese zunächst mit einem i-net Clear Reports Server, Version 7 bis 13, konvertieren und dann als XML-Datei exportieren, die in Version 14 importiert werden kann.
* **HTTPS:** Der Standalone-Server unterstützt jetzt HTTPS-Verbindungen. In der Konfigurationsmanager-Kategorie "Webserver" können Sie HTTPS auswählen und den Port, das Zertifikat und den Schlüssel einstellen. Für Testzwecke von HTTPS-Verbindungen kann ein selbstsigniertes Zertifikat generiert werden, bevor ein Zertifikat von einem Anbieter erworben wird.
* **Formel-Debugger:** Es gibt jetzt einen leistungsstarken und vielseitigen Formel-Debugger, der in den Designer integriert ist. Sie finden ihn im Formeleditor unter der Registerkarte "Debug". Sie können Haltepunkte setzen und eine Formel Schritt für Schritt durchgehen, um Fehler oder Logik in komplexen Formeln aufzuspüren.
* **Neue Debugdaten (Core)-Dateien:** Die Erstellung von Debugdaten (Core)-Dateien erzeugt jetzt nur noch eine Datei pro ausgeführtem Bericht. Sie können diese Core-Datei dann einfach im i-net Designer oder Berichtsserver mit den Snapshot-Daten erneut ausführen.
* **RequestHandler:** Die Schnittstelle com.inet.report.RequestHandler wurde entfernt. Sie wird durch die Plugin-Architektur ersetzt.
* **Methodennamen für .NET:** In der .NET-Ausgabe wurden die Methodennamen wieder auf die Kleinbuchstaben-Konvention von Java umgestellt, statt wie in C# groß geschriebene Namen zu verwenden.
* **Datenbankauthentifizierung:** Der Anmeldetyp "Datenbankauthentifizierung" wurde hinzugefügt. Bei diesem Login-Typ wird ein Datenbankserver zur Authentifizierung verwendet.

[changes]
* JNDI Datasources are now allowed in ad-hoc reporting.
* Export format "Editable RTF" added. Note that it does not contain text boxes for text positioning.
* It is now possible to send an email notification in case of an error.
* ToWords implementation for Serbian language added.
* The standalone server now supports HTTPS connections. In the configuration manager category "Web Server" you can select HTTPS and set the port, certificate and key. For test purposes of HTTPS connections, a self-signed certificate can be generated before purchasing one from a provider.

#### Changed Behavior
* CDate function now has improved support of localized date-short patterns.
* A formula comparison of <something>=<null> will now always yield null which is consistent with the SQL conversion of this expression.
* Images in HTML fields will now always be embedded into the document when using the HTML export. This solution is similar to images embedded in PDF files.
* If a timeout of the web interface has occurred, a redirect will be send to the client instead of an error message.
* Font embedding optimization: font data of the same font will be embedded only once.
* Transparent colors are replaced through opaque colors for PDFA-export.
* Microsoft report files (.rdl) are no longer supported.
* XmlRPC no longer depends on enabled report permissions.
* Listener API changed to support the configuration of several connections including SSL for HTTPS.
* Extended Listener API: Override getActiveServices() to define a set of services the corresponding servlets should be registered and started for.
* Formula functions toNumber, isNumeric and numericText now accept complete numbers only. Strings with a number prefix are no longer considered a number.
* The aggregator functions maximum, minimumn, distinct count, median, percentile and most frequent did not use the settings for grouping and sorting. This has only an effect if you modified the default settings.
* PDF export:
  * Texts that did not use embedded fonts are now closer to the report preview in the i-net Designer because the same line metrics are used.
  * Pixels with very low alpha levels will be transformed to background (or white) colors for PDFA export.
* Datasource in Configuration Properties: The configuration manager no longer allows importing old data source definitions from i-net Crystal-Clear version 6 and older. If you use configuration files with these old data source definition files then you can first convert it with an i-net Clear Reports server, version 7 to 13, and then export it as an XML file which can be imported in version 14.
* The `com.inet.report.RequestHandler` interface was removed. It is replaced by the plugin architecture.

#### API modifications
* The following constructors of class Listener have been removed:
  * Listener(int port, boolean throwException) 
  * Listener(boolean standalone, int port, boolean throwException) 
* The other constructors of class Listener now throw an IOException in case of an I/O error.
* The package of the following interfaces and classes was changed from "com.inet.report.config" to "com.inet.config":
  * Configuration
  * ConfigurationChangeListener
  * ConfigurationChangeEvent
  * ConfigurationManager
* The following interfaces and classes were added:
  * com.inet.authentication.UsersAndGroupsProvider
  * com.inet.authentication
    * ProblemFinderRule
    * AbstractRuleElement
    * AbstractRuleField
    * AbstractRulePropertyFormula
    * AbstractRuleSection
  * com.inet.plugin
    * ServerPlugin
    * ServerPluginManager
  * com.inet.report
    * ListenerSettings


### Java report viewer
* You can configure a "Support email address" in the configuration manager category "Email Settings" to have the Java report viewer display a "request support" link when errors occur.
* Searching with regular expressions in the report viewer now searches not word-by-word but over the whole text.

### HTML report viewer
* Print button added to the toolbar.
* Export dialog added. It is now possible to configure the export properties.
* Supports URL parameter "title", if no report title was set.
* Contains an export dialog to set the export properties.
* Zoom levels redefined.
* You can configure a "Support email address" in the configuration manager category "Email Settings" to have the HTML-Viewer display a "request support" link when errors occur. You can also add a "subject" or "body" attribute to the entry in the error.json to pre-fill the mail. The error and all available data will be inserted into the email as well.

### i-net Designer
* Added support for fonts which were part of a font family with special styles like Condensed or Light.
* Problem finder rules added: 'A blank detail section could produce blank pages' and 'Invalid Prompt Default Value Formula'.
* Formula debugger added to the Formula Editor in i-net Designer. You can set breakpoints and step through a formula step by step to pinpoint errors or logic in complex formulas.
* Crosstab properties: Inserting and reorder of rows, columns and summarized values now possible via Drag&Drop. 

### Remote Interface
* Statistic module added.
* It is now possible to add a logo and/or imprint link to the footer of the Remote Interface (see configuration manager category "Web Server".

### Configuration Manager
* New components "Email settings" and "Error Notifications" added.
* It is now possible to set different log levels for individual components.
* If Windows authentication is used, then the list of users & groups in the categories Report Permissions and System Permissions will contain the domain user and groups.
* Interface com.inet.authentication.UsersAndGroupsProvider added to API. It is useful for adding user and group names from a database or something like that to the drop down list in the configuration manager categories Report Permissions and System Permissions.
* Two "HTTP URL" properties added to the section "Remote Interface" in configuration manager category "Web server" to add a logo image and imprint link to the footer of the remote interface.

#### Changed Behavior
* System permissions are reduced to the basic features to allow understandable configuration. 

### Scheduler
* Support of encrypted SMTP connections (STARTTLS)
* Plugins are necessary if custom schedule actions are used.
* Registering Custom Actions or Dynamic-Properties to the Scheduler no longer works by adding a jar-file to the lib path - a plugin must be used for this. For more details please refer to the sample "scheduler" in the directory "client/documentation/samples" of the i-net Clear Reports installation.  

### .Net Edition
In the .NET edition method names now have been changed back to Java's lower-case convention rather than the C#-style capitalized names.

[changes:de]
* JNDI-Datenquellen sind jetzt in der Ad-hoc-Berichterstattung erlaubt.
* Exportformat "Editierbares RTF" hinzugefügt. Beachten Sie, dass es keine Textfelder für die Textpositionierung enthält.
* Es ist jetzt möglich, eine E-Mail-Benachrichtigung im Falle eines Fehlers zu senden.
* ToWords-Implementierung für die serbische Sprache hinzugefügt.
* Der Standalone-Server unterstützt jetzt HTTPS-Verbindungen. In der Konfigurationsmanager-Kategorie "Webserver" können Sie HTTPS auswählen und den Port, das Zertifikat und den Schlüssel einstellen. Für Testzwecke von HTTPS-Verbindungen kann ein selbstsigniertes Zertifikat generiert werden, bevor ein Zertifikat von einem Anbieter erworben wird.

#### Geändertes Verhalten
* Die Funktion CDate unterstützt nun besser lokalisierte Datums-Kurzmuster.
* Ein Formelvergleich von <irgendwas>=<null> ergibt jetzt immer null, was mit der SQL-Konvertierung dieses Ausdrucks übereinstimmt.
* Bilder in HTML-Feldern werden jetzt immer in das Dokument eingebettet, wenn der HTML-Export verwendet wird. Diese Lösung ist ähnlich wie bei Bildern, die in PDF-Dateien eingebettet sind.
* Wenn eine Zeitüberschreitung der Webschnittstelle aufgetreten ist, wird anstelle einer Fehlermeldung ein Redirect an den Client gesendet.
* Optimierung der Schrifteinbettung: Schriftdaten der gleichen Schriftart werden nur noch einmal eingebettet.
* Transparente Farben werden beim PDFA-Export durch gedeckte Farben ersetzt.
* Microsoft Report-Dateien (.rdl) werden nicht mehr unterstützt.
* XmlRPC hängt nicht mehr von aktivierten Report-Berechtigungen ab.
* Listener-API wurde geändert, um die Konfiguration mehrerer Verbindungen einschließlich SSL für HTTPS zu unterstützen.
* Erweiterte Listener-API: Überschreiben Sie getActiveServices(), um einen Satz von Diensten zu definieren, für die die entsprechenden Servlets registriert und gestartet werden sollen.
* Die Formelfunktionen toNumber, isNumeric und numericText akzeptieren jetzt nur noch vollständige Zahlen. Strings mit einem Zahlenpräfix werden nicht mehr als Zahl betrachtet.
* Die Aggregatorfunktionen maximum, minimumn, distinct count, median, percentile und most frequent haben die Einstellungen für Gruppierung und Sortierung nicht verwendet. Dies hat nur Auswirkungen, wenn Sie die Standardeinstellungen geändert haben.
* PDF-Export:
  * Texte, die keine eingebetteten Schriften verwendet haben, sind jetzt näher an der Berichtsvorschau im i-net Designer, da die gleichen Zeilenmetriken verwendet werden.
  * Pixel mit sehr niedrigen Alphastufen werden beim PDFA-Export in Hintergrundfarben (oder Weiß) umgewandelt.
* Datenquelle in den Konfigurationseigenschaften: Der Konfigurationsmanager erlaubt nicht mehr den Import von alten Datenquellendefinitionen aus i-net Crystal-Clear Version 6 und älter. Wenn Sie Konfigurationsdateien mit diesen alten Datenquellendefinitionsdateien verwenden, können Sie diese zunächst mit einem i-net Clear Reports Server, Version 7 bis 13, konvertieren und dann als XML-Datei exportieren, die in Version 14 importiert werden kann.
* Die Schnittstelle `com.inet.report.RequestHandler` wurde entfernt. Sie wird durch die Plugin-Architektur ersetzt.

#### API-Änderungen
* Die folgenden Konstruktoren der Klasse Listener wurden entfernt:
  * Listener(int port, boolean throwException)
  * Listener(boolean standalone, int port, boolean throwException)
* Die anderen Konstruktoren der Klasse Listener lösen nun im Falle eines I/O-Fehlers eine IOException aus.
* Das Paket der folgenden Schnittstellen und Klassen wurde von "com.inet.report.config" auf "com.inet.config" geändert:
  * Konfiguration
  * ConfigurationChangeListener
  * ConfigurationChangeEvent
  * ConfigurationManager
* Die folgenden Schnittstellen und Klassen wurden hinzugefügt:
  * com.inet.authentication.UsersAndGroupsProvider
  * com.inet.authentication
    * ProblemFinderRule
    * AbstractRuleElement
    * AbstractRuleField
    * AbstractRulePropertyFormula
    * AbstractRuleSection
  * com.inet.plugin
    * ServerPlugin
    * ServerPluginManager
  * com.inet.report
    * ListenerSettings


### Java Report Viewer
* Sie können eine "Support-E-Mail-Adresse" in der Konfigurationsmanager-Kategorie "E-Mail-Einstellungen" konfigurieren, damit der Java-Report-Viewer beim Auftreten von Fehlern einen Link "Support anfordern" anzeigt.
* Die Suche mit regulären Ausdrücken im Report-Viewer sucht jetzt nicht mehr wortweise, sondern über den gesamten Text.

### HTML-Berichtsbetrachter
* Die Schaltfläche "Drucken" wurde der Symbolleiste hinzugefügt.
* Export-Dialog hinzugefügt. Es ist jetzt möglich, die Exporteigenschaften zu konfigurieren.
* Unterstützt URL-Parameter "title", wenn kein Berichtstitel festgelegt wurde.
* Enthält einen Exportdialog zum Einstellen der Exporteigenschaften.
* Zoomstufen neu definiert.
* Sie können eine "Support-E-Mail-Adresse" in der Konfigurationsmanager-Kategorie "E-Mail-Einstellungen" konfigurieren, damit der HTML-Viewer bei Fehlern einen Link "Support anfordern" anzeigt. Sie können auch ein "subject"- oder "body"-Attribut zu dem Eintrag in der error.json hinzufügen, um die E-Mail vorzufüllen. Der Fehler und alle verfügbaren Daten werden dann ebenfalls in die E-Mail eingefügt.

### i-net Designer
* Unterstützung für Schriftarten, die Teil einer Schriftfamilie mit speziellen Stilen wie Condensed oder Light sind, wurde hinzugefügt.
* Problemfindungsregeln hinzugefügt: 'Ein leerer Detailabschnitt könnte leere Seiten erzeugen' und 'Ungültige Prompt-Standardwertformel'.
* Formel-Debugger zum Formel-Editor im i-net Designer hinzugefügt. Sie können Haltepunkte setzen und eine Formel Schritt für Schritt durchgehen, um Fehler oder Logik in komplexen Formeln aufzuspüren.
* Kreuztabellen-Eigenschaften: Einfügen und Umordnen von Zeilen, Spalten und zusammengefassten Werten jetzt per Drag&Drop möglich.

### Remote-Schnittstelle
* Statistik-Modul hinzugefügt.
* Es ist nun möglich, ein Logo und/oder ein Impressum in die Fußzeile des Remote Interface einzufügen (siehe Konfigurationsmanager-Kategorie "Web Server".

### Konfigurations-Manager
* Neue Komponenten "E-Mail Einstellungen" und "Fehlerbenachrichtigungen" hinzugefügt.
* Es ist nun möglich, für einzelne Komponenten unterschiedliche Log-Level zu setzen.
* Wenn die Windows-Authentifizierung verwendet wird, enthält die Liste der Benutzer und Gruppen in den Kategorien "Report Permissions" und "System Permissions" die Domänenbenutzer und -gruppen.
* Schnittstelle com.inet.authentication.UsersAndGroupsProvider zur API hinzugefügt. Sie ist nützlich für das Hinzufügen von Benutzer- und Gruppennamen aus einer Datenbank oder ähnlichem zu der Dropdown-Liste in den Konfigurationsmanager-Kategorien Berichtsberechtigungen und Systemberechtigungen.
* Zwei "HTTP URL"-Eigenschaften wurden zum Abschnitt "Remote Interface" in der Konfigurationsmanager-Kategorie "Webserver" hinzugefügt, um ein Logo-Bild und einen Impressum-Link zur Fußzeile des Remote Interface hinzuzufügen.

#### Geändertes Verhalten
* Die Systemberechtigungen wurden auf die grundlegenden Funktionen reduziert, um eine verständliche Konfiguration zu ermöglichen.

### Zeitplaner
* Unterstützung von verschlüsselten SMTP-Verbindungen (STARTTLS)
* Plugins sind notwendig, wenn benutzerdefinierte Zeitplan-Aktionen verwendet werden.
* Die Registrierung von benutzerdefinierten Aktionen oder dynamischen Eigenschaften im Scheduler funktioniert nicht mehr über das Hinzufügen einer jar-Datei zum lib-Pfad - hierfür muss ein Plugin verwendet werden. Weitere Details entnehmen Sie bitte dem Beispiel "scheduler" im Verzeichnis "client/documentation/samples" der i-net Clear Reports Installation.  

### .Net Edition
In der .NET Edition wurden die Methodennamen wieder auf die Java-Konvention der Kleinschreibung umgestellt und nicht mehr auf die in C# üblichen groß geschriebenen Namen.

[bugfixes]
* A crosstab in a subreport could be incomplete if the property "Keep Together" was enabled for this subreport and the subreport did not fit on the page.
* RTF export: Report header section was not displayed on first page if "total page count" was not used on first page.
* PDF export: 
  * Hindi text was displayed incorrectly in PDF files when setting SansSerif as the font. For displaying Hindi, a font must be chosen that includes the Hindi characters (such as Arial Unicode MS).
  * PDF/A export was not correct for signed PDF files.
  * Gray-scaled JPEG images were not been displayed.
  * Web-optimized export to PDF could result in an invalid PDF file. 
* "Invalid render state. Page already finished." exception occurred, if the properties new page after and suppress were enabled for last report header section.
* Excel export: A crosstab cell was a single line although the original crosstab column label contained multiple lines.
* HTML prompt request dialog: Default value description was not shown in the list of chosen values.
* ORDER BY on multiple groups for the same date field was incorrect.
* In the some cases the line/column index in formula error messages started at 0 instead of 1 as in the formula editor.
* A custom servlet filter that created a wrapped HttpServletRequestWrapper was not used everywere.
* A rare text layouting bug for HTML fields could occur and has been fixed.
* Redirect from HTTP to HTTPS did not work correctly.

### Java report viewer
* If the export dialog was closed with the enter key it asked twice whether an existing file should be overwritten.

### HTML report viewer
* Clicking a group in the group tree of the HTML-viewer did not jump to the section if the page had not yet been loaded. 

### i-net Designer
* If you opened a report in the i-net Designer that has 'Snap to Grid' enabled as default setting, then the fields in the report were rearranged.
* It was not possible to set the value of the "Can Grow" property to 0 after it was set to another value.
* Prompt default value formulas has not considered the range values.
* It was not possible to create a datasource configuration in the i-net Designer Free Edition if it was running on Mac OS X.
* It was not possible to prohibit ODS as export format in the restrictions of the report properties.
* Prompt default value formulas did not consider range values. 

### Remote Interface
* Login was not possible if i-net Clear Reports was running as servlet and "Master Password" was used as login type.

### Ad Hoc Reporting
* The online help was not displayed in the ad hoc web client if i-net Clear Reports was running as servlet in an application server like Websphere or Tomcat.

### Scheduler
* Settings of certain Scheduler actions could display an error message after server restart.

### .Net Edition
* Images in advanced HTML were missing.

[bugfixes:de]
* Eine Kreuztabelle in einem Unterbericht konnte unvollständig sein, wenn die Eigenschaft "Zusammenhalten" für diesen Unterbericht aktiviert war und der Unterbericht nicht auf die Seite passte.
* RTF-Export: Der Kopfbereich des Berichts wurde nicht auf der ersten Seite angezeigt, wenn die "Gesamtseitenzahl" nicht auf der ersten Seite verwendet wurde.
* PDF-Export:
  * Hindi-Text wurde in PDF-Dateien falsch angezeigt, wenn SansSerif als Schriftart eingestellt war. Für die Anzeige von Hindi muss eine Schriftart gewählt werden, die die Hindi-Zeichen enthält (z. B. Arial Unicode MS).
  * Der PDF/A-Export war bei signierten PDF-Dateien nicht korrekt.
  * Grauskalierte JPEG-Bilder wurden nicht angezeigt.
  * Web-optimierter Export nach PDF konnte zu einer ungültigen PDF-Datei führen.
* die Ausnahme "Ungültiger Renderstatus. Die Ausnahme "Ungültiger Renderstatus. Seite bereits fertig." trat auf, wenn die Eigenschaften Neue Seite nach und Unterdrücken für den letzten Berichtskopfabschnitt aktiviert waren.
* Excel-Export: Eine Kreuztabellenzelle war eine einzelne Zeile, obwohl die ursprüngliche Kreuztabellen-Spaltenbeschriftung mehrere Zeilen enthielt.
* Dialog zur HTML-Eingabeaufforderung: Die Beschreibung des Standardwerts wurde nicht in der Liste der ausgewählten Werte angezeigt.
* ORDER BY bei mehreren Gruppen für dasselbe Datumsfeld war nicht korrekt.
* In einigen Fällen begann der Zeilen-/Spaltenindex in Formelfehlermeldungen bei 0 statt bei 1 wie im Formeleditor.
* Ein benutzerdefinierter Servlet-Filter, der einen umhüllten HttpServletRequestWrapper erstellt, wurde nicht überall verwendet.
* Ein seltener Textlayout-Fehler für HTML-Felder konnte auftreten und wurde behoben.
* Die Umleitung von HTTP zu HTTPS funktionierte nicht korrekt.

### Java Report Viewer
* Wenn der Exportdialog mit der Eingabetaste geschlossen wurde, wurde zweimal gefragt, ob eine bestehende Datei überschrieben werden soll.

### HTML-Berichtsbetrachter
* Das Anklicken einer Gruppe im Gruppenbaum des HTML-Viewers führte nicht zum Sprung in den Abschnitt, wenn die Seite noch nicht geladen war.

### i-net Designer
* Wenn man einen Bericht im i-net Designer öffnete, bei dem 'Snap to Grid' als Standardeinstellung aktiviert war, wurden die Felder im Bericht neu angeordnet.
* Es war nicht möglich, den Wert der Eigenschaft "Kann wachsen" auf 0 zu setzen, nachdem er auf einen anderen Wert gesetzt wurde.
* Die Formeln für den Standardwert der Eingabeaufforderung haben die Werte des Bereichs nicht berücksichtigt.
* Es war nicht möglich, eine Datenquellenkonfiguration in der i-net Designer Free Edition zu erstellen, wenn diese unter Mac OS X ausgeführt wurde.
* Es war nicht möglich, ODS als Exportformat in den Einschränkungen der Berichtseigenschaften zu verbieten.
* Formeln für Prompt-Standardwerte berücksichtigten keine Bereichswerte.

### Remote-Schnittstelle
* Die Anmeldung war nicht möglich, wenn i-net Clear Reports als Servlet ausgeführt wurde und "Master Password" als Anmeldetyp verwendet wurde.

### Ad Hoc Reporting
* Die Online-Hilfe wurde im Ad-hoc-Web-Client nicht angezeigt, wenn i-net Clear Reports als Servlet in einem Anwendungsserver wie Websphere oder Tomcat ausgeführt wurde.

### Scheduler
* Die Einstellungen bestimmter Scheduler-Aktionen konnten nach einem Server-Neustart eine Fehlermeldung anzeigen.

### .Net Edition
* Bilder in erweitertem HTML fehlten.

[security]

[security:de]
